<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
<title>EDMA3 Resource Manager: EDMA3_RM_GblConfigParams Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css">
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<!-- Generated by Doxygen 1.5.9 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
      <li><a href="classes.html"><span>Data&nbsp;Structure&nbsp;Index</span></a></li>
      <li><a href="functions.html"><span>Data&nbsp;Fields</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>EDMA3_RM_GblConfigParams Struct Reference<br>
<small>
[<a class="el" href="group__Edma3RMMain.html">Interface Definition for EDMA3 Resource Manager Layer</a>]</small>
</h1><!-- doxytag: class="EDMA3_RM_GblConfigParams" -->Init-time Configuration structure for EDMA3 controller, to provide Global SoC specific Information.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="edma3__rm_8h_source.html">edma3_rm.h</a>&gt;</code>
<p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Data Fields</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">unsigned int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structEDMA3__RM__GblConfigParams.html#146c49c83ca4e65a3145d9b15d73571d">numDmaChannels</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">unsigned int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structEDMA3__RM__GblConfigParams.html#49bb3d33efc585d75c8c18cf26dbf169">numQdmaChannels</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">unsigned int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structEDMA3__RM__GblConfigParams.html#de09c3f169c87739ab5b5d00101a59ed">numTccs</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">unsigned int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structEDMA3__RM__GblConfigParams.html#9f66e1878cc69101518f94c5f95ec393">numPaRAMSets</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">unsigned int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structEDMA3__RM__GblConfigParams.html#152b2623285f14f6013b130fbfdf2ee1">numEvtQueue</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">unsigned int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structEDMA3__RM__GblConfigParams.html#2469da2ae6f4c3895c1edf6333590b1e">numTcs</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">unsigned int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structEDMA3__RM__GblConfigParams.html#f96ad7a22abe4152c2dbec6ddd793ffb">numRegions</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">unsigned short&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structEDMA3__RM__GblConfigParams.html#51b46695b8424bfe97fa1f23106c7161">dmaChPaRAMMapExists</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Channel mapping existence.  <a href="#51b46695b8424bfe97fa1f23106c7161"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">unsigned short&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structEDMA3__RM__GblConfigParams.html#4f142ccb3c6a0e2ec3146439f4b38443">memProtectionExists</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structEDMA3__RM__GblConfigParams.html#c37e1efa702856b32e621560d4ddde2d">globalRegs</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structEDMA3__RM__GblConfigParams.html#167e1ab12a947d4446ba56f8129ed91d">tcRegs</a> [EDMA3_MAX_TC]</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">unsigned int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structEDMA3__RM__GblConfigParams.html#f902e3c9d3d6d54fdc472bf79297c947">xferCompleteInt</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">unsigned int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structEDMA3__RM__GblConfigParams.html#9154b7f04bfe4b3f3d1071da8ad8b483">ccError</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">unsigned int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structEDMA3__RM__GblConfigParams.html#72c01f8e87453fc8495371cd44b2dcc4">tcError</a> [EDMA3_MAX_TC]</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">unsigned int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structEDMA3__RM__GblConfigParams.html#d4e9caa9307edbc6832ebe662de1b6f6">evtQPri</a> [EDMA3_MAX_EVT_QUE]</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">EDMA3 TC priority setting.  <a href="#d4e9caa9307edbc6832ebe662de1b6f6"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">unsigned int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structEDMA3__RM__GblConfigParams.html#e633ff54dda219dafc5d3b609a28a202">evtQueueWaterMarkLvl</a> [EDMA3_MAX_EVT_QUE]</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Event Queues Watermark Levels.  <a href="#e633ff54dda219dafc5d3b609a28a202"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">unsigned int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structEDMA3__RM__GblConfigParams.html#dd171129e6252b02ba54d5e79cb7ecea">tcDefaultBurstSize</a> [EDMA3_MAX_TC]</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Default Burst Size (DBS) of TCs.  <a href="#dd171129e6252b02ba54d5e79cb7ecea"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">unsigned int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structEDMA3__RM__GblConfigParams.html#fa7ba95cc73b21f640888aab87a66533">dmaChannelPaRAMMap</a> [EDMA3_MAX_DMA_CH]</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Mapping from DMA channels to PaRAM Sets.  <a href="#fa7ba95cc73b21f640888aab87a66533"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">unsigned int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structEDMA3__RM__GblConfigParams.html#b06c1d88f0efb9c82c963daf8d7ea684">dmaChannelTccMap</a> [EDMA3_MAX_DMA_CH]</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Mapping from DMA channels to TCCs.  <a href="#b06c1d88f0efb9c82c963daf8d7ea684"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">unsigned int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structEDMA3__RM__GblConfigParams.html#c75808b1b49e327e540620ff08eb23d7">dmaChannelHwEvtMap</a> [EDMA3_MAX_DMA_CHAN_DWRDS]</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Mapping from DMA channels to Hardware Events.  <a href="#c75808b1b49e327e540620ff08eb23d7"></a><br></td></tr>
</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
Init-time Configuration structure for EDMA3 controller, to provide Global SoC specific Information. 
<p>
This configuration structure is used to specify the EDMA3 Resource Manager global settings, specific to the SoC. For e.g. number of DMA/QDMA channels, number of PaRAM sets, TCCs, event queues, transfer controllers, base addresses of CC global registers and TC registers, interrupt number for EDMA3 transfer completion, CC error, event queues' priority, watermark threshold level etc. This configuration information is SoC specific and could be provided by the user at run-time while creating the EDMA3 RM Object, using API EDMA3_RM_create. In case user doesn't provide it, this information could be taken from the SoC specific configuration file edma3_&lt;SOC_NAME&gt;_cfg.c, in case it is available. <hr><h2>Field Documentation</h2>
<a class="anchor" name="9154b7f04bfe4b3f3d1071da8ad8b483"></a><!-- doxytag: member="EDMA3_RM_GblConfigParams::ccError" ref="9154b7f04bfe4b3f3d1071da8ad8b483" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int <a class="el" href="structEDMA3__RM__GblConfigParams.html#9154b7f04bfe4b3f3d1071da8ad8b483">EDMA3_RM_GblConfigParams::ccError</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
EDMA3 CC error interrupt line (could be different for ARM and DSP) 
</div>
</div><p>
<a class="anchor" name="c75808b1b49e327e540620ff08eb23d7"></a><!-- doxytag: member="EDMA3_RM_GblConfigParams::dmaChannelHwEvtMap" ref="c75808b1b49e327e540620ff08eb23d7" args="[EDMA3_MAX_DMA_CHAN_DWRDS]" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int <a class="el" href="structEDMA3__RM__GblConfigParams.html#c75808b1b49e327e540620ff08eb23d7">EDMA3_RM_GblConfigParams::dmaChannelHwEvtMap</a>[EDMA3_MAX_DMA_CHAN_DWRDS]          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Mapping from DMA channels to Hardware Events. 
<p>
Each bit in this array corresponds to one DMA channel and tells whether this DMA channel is tied to any peripheral. That is whether any peripheral can send the synch event on this DMA channel or not. 1 means the channel is tied to some peripheral; 0 means it is not. DMA channels which are tied to some peripheral are RESERVED for that peripheral only. They are not allocated when user asks for 'ANY' DMA channel. All channels need not be mapped, some can be free also. 
</div>
</div><p>
<a class="anchor" name="fa7ba95cc73b21f640888aab87a66533"></a><!-- doxytag: member="EDMA3_RM_GblConfigParams::dmaChannelPaRAMMap" ref="fa7ba95cc73b21f640888aab87a66533" args="[EDMA3_MAX_DMA_CH]" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int <a class="el" href="structEDMA3__RM__GblConfigParams.html#fa7ba95cc73b21f640888aab87a66533">EDMA3_RM_GblConfigParams::dmaChannelPaRAMMap</a>[EDMA3_MAX_DMA_CH]          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Mapping from DMA channels to PaRAM Sets. 
<p>
If channel mapping exists (DCHMAP registers are present), this array stores the respective PaRAM Set for each DMA channel. User can initialize each array member with a specific PaRAM Set or with EDMA3_DRV_CH_NO_PARAM_MAP. If channel mapping doesn't exist, it is of no use as the EDMA3 RM automatically uses the right PaRAM Set for that DMA channel. Useful only if mapping exists, otherwise of no use. 
<p>Referenced by <a class="el" href="edma3resmgr_8c_source.html#l02086">EDMA3_RM_allocLogicalChannel()</a>, <a class="el" href="edma3resmgr_8c_source.html#l00358">EDMA3_RM_create()</a>, and <a class="el" href="edma3resmgr_8c_source.html#l00633">EDMA3_RM_open()</a>.</p>

</div>
</div><p>
<a class="anchor" name="b06c1d88f0efb9c82c963daf8d7ea684"></a><!-- doxytag: member="EDMA3_RM_GblConfigParams::dmaChannelTccMap" ref="b06c1d88f0efb9c82c963daf8d7ea684" args="[EDMA3_MAX_DMA_CH]" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int <a class="el" href="structEDMA3__RM__GblConfigParams.html#b06c1d88f0efb9c82c963daf8d7ea684">EDMA3_RM_GblConfigParams::dmaChannelTccMap</a>[EDMA3_MAX_DMA_CH]          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Mapping from DMA channels to TCCs. 
<p>
This array stores the respective TCC (interrupt channel) for each DMA channel. User can initialize each array member with a specific TCC or with EDMA3_DRV_CH_NO_TCC_MAP. This specific TCC code will be returned when the transfer is completed on the mapped DMA channel. 
<p>Referenced by <a class="el" href="edma3resmgr_8c_source.html#l02086">EDMA3_RM_allocLogicalChannel()</a>.</p>

</div>
</div><p>
<a class="anchor" name="51b46695b8424bfe97fa1f23106c7161"></a><!-- doxytag: member="EDMA3_RM_GblConfigParams::dmaChPaRAMMapExists" ref="51b46695b8424bfe97fa1f23106c7161" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned short <a class="el" href="structEDMA3__RM__GblConfigParams.html#51b46695b8424bfe97fa1f23106c7161">EDMA3_RM_GblConfigParams::dmaChPaRAMMapExists</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Channel mapping existence. 
<p>
A value of 0 (No channel mapping) implies that there is fixed association between a DMA channel and a PaRAM Set or, in other words, DMA channel n can ONLY use PaRAM Set n (No availability of DCHMAP registers) for transfers to happen.<p>
A value of 1 implies the presence of DCHMAP registers for the DMA channels and hence the flexibility of associating any DMA channel to any PaRAM Set. In other words, ANY PaRAM Set can be used for ANY DMA channel (like QDMA Channels). 
<p>Referenced by <a class="el" href="edma3resmgr_8c_source.html#l02086">EDMA3_RM_allocLogicalChannel()</a>, <a class="el" href="edma3resmgr_8c_source.html#l00358">EDMA3_RM_create()</a>, <a class="el" href="edma3resmgr_8c_source.html#l02715">EDMA3_RM_freeLogicalChannel()</a>, <a class="el" href="edma3resmgr_8c_source.html#l03072">EDMA3_RM_mapEdmaChannel()</a>, and <a class="el" href="edma3resmgr_8c_source.html#l00633">EDMA3_RM_open()</a>.</p>

</div>
</div><p>
<a class="anchor" name="d4e9caa9307edbc6832ebe662de1b6f6"></a><!-- doxytag: member="EDMA3_RM_GblConfigParams::evtQPri" ref="d4e9caa9307edbc6832ebe662de1b6f6" args="[EDMA3_MAX_EVT_QUE]" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int <a class="el" href="structEDMA3__RM__GblConfigParams.html#d4e9caa9307edbc6832ebe662de1b6f6">EDMA3_RM_GblConfigParams::evtQPri</a>[EDMA3_MAX_EVT_QUE]          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
EDMA3 TC priority setting. 
<p>
User can program the priority of the Event Queues at a system-wide level. This means that the user can set the priority of an IO initiated by either of the TCs (Transfer Controllers) relative to IO initiated by the other bus masters on the device (ARM, DSP, USB, etc) 
</div>
</div><p>
<a class="anchor" name="e633ff54dda219dafc5d3b609a28a202"></a><!-- doxytag: member="EDMA3_RM_GblConfigParams::evtQueueWaterMarkLvl" ref="e633ff54dda219dafc5d3b609a28a202" args="[EDMA3_MAX_EVT_QUE]" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int <a class="el" href="structEDMA3__RM__GblConfigParams.html#e633ff54dda219dafc5d3b609a28a202">EDMA3_RM_GblConfigParams::evtQueueWaterMarkLvl</a>[EDMA3_MAX_EVT_QUE]          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Event Queues Watermark Levels. 
<p>
To Configure the Threshold level of number of events that can be queued up in the Event queues. EDMA3CC error register (CCERR) will indicate whether or not at any instant of time the number of events queued up in any of the event queues exceeds or equals the threshold/watermark value that is set in the queue watermark threshold register (QWMTHRA). 
</div>
</div><p>
<a class="anchor" name="c37e1efa702856b32e621560d4ddde2d"></a><!-- doxytag: member="EDMA3_RM_GblConfigParams::globalRegs" ref="c37e1efa702856b32e621560d4ddde2d" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="structEDMA3__RM__GblConfigParams.html#c37e1efa702856b32e621560d4ddde2d">EDMA3_RM_GblConfigParams::globalRegs</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Base address of EDMA3 CC memory mapped registers. 
<p>Referenced by <a class="el" href="edma3resmgr_8c_source.html#l03707">EDMA3_RM_allocContiguousResource()</a>, <a class="el" href="edma3resmgr_8c_source.html#l02086">EDMA3_RM_allocLogicalChannel()</a>, <a class="el" href="edma3resmgr_8c_source.html#l01111">EDMA3_RM_allocResource()</a>, <a class="el" href="edma3resmgr_8c_source.html#l04708">EDMA3_RM_checkAndClearTcc()</a>, <a class="el" href="edma3resmgr_8c_source.html#l02715">EDMA3_RM_freeLogicalChannel()</a>, <a class="el" href="edma3resmgr_8c_source.html#l01718">EDMA3_RM_freeResource()</a>, <a class="el" href="edma3resmgr_8c_source.html#l05339">EDMA3_RM_getBaseAddress()</a>, <a class="el" href="edma3resmgr_8c_source.html#l04487">EDMA3_RM_getCCRegister()</a>, <a class="el" href="edma3resmgr_8c_source.html#l05006">EDMA3_RM_getPaRAM()</a>, <a class="el" href="edma3resmgr_8c_source.html#l05179">EDMA3_RM_getPaRAMPhyAddr()</a>, <a class="el" href="edma3resmgr_8c_source.html#l03072">EDMA3_RM_mapEdmaChannel()</a>, <a class="el" href="edma3resmgr_8c_source.html#l03229">EDMA3_RM_mapQdmaChannel()</a>, <a class="el" href="edma3resmgr_8c_source.html#l00633">EDMA3_RM_open()</a>, <a class="el" href="edma3resmgr_8c_source.html#l04394">EDMA3_RM_setCCRegister()</a>, <a class="el" href="edma3resmgr_8c_source.html#l04842">EDMA3_RM_setPaRAM()</a>, and <a class="el" href="edma3resmgr_8c_source.html#l04572">EDMA3_RM_waitAndClearTcc()</a>.</p>

</div>
</div><p>
<a class="anchor" name="4f142ccb3c6a0e2ec3146439f4b38443"></a><!-- doxytag: member="EDMA3_RM_GblConfigParams::memProtectionExists" ref="4f142ccb3c6a0e2ec3146439f4b38443" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned short <a class="el" href="structEDMA3__RM__GblConfigParams.html#4f142ccb3c6a0e2ec3146439f4b38443">EDMA3_RM_GblConfigParams::memProtectionExists</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Existence of memory protection feature 
</div>
</div><p>
<a class="anchor" name="146c49c83ca4e65a3145d9b15d73571d"></a><!-- doxytag: member="EDMA3_RM_GblConfigParams::numDmaChannels" ref="146c49c83ca4e65a3145d9b15d73571d" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int <a class="el" href="structEDMA3__RM__GblConfigParams.html#146c49c83ca4e65a3145d9b15d73571d">EDMA3_RM_GblConfigParams::numDmaChannels</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Number of DMA Channels supported by the underlying EDMA3 Controller. 
<p>Referenced by <a class="el" href="edma3resmgr_8c_source.html#l03707">EDMA3_RM_allocContiguousResource()</a>, <a class="el" href="edma3resmgr_8c_source.html#l01111">EDMA3_RM_allocResource()</a>, <a class="el" href="edma3resmgr_8c_source.html#l00957">EDMA3_RM_close()</a>, <a class="el" href="edma3resmgr_8c_source.html#l00358">EDMA3_RM_create()</a>, <a class="el" href="edma3resmgr_8c_source.html#l04269">EDMA3_RM_freeContiguousResource()</a>, <a class="el" href="edma3resmgr_8c_source.html#l03072">EDMA3_RM_mapEdmaChannel()</a>, <a class="el" href="edma3resmgr_8c_source.html#l00633">EDMA3_RM_open()</a>, <a class="el" href="edma3resmgr_8c_source.html#l03381">EDMA3_RM_registerTccCb()</a>, and <a class="el" href="edma3resmgr_8c_source.html#l03541">EDMA3_RM_unregisterTccCb()</a>.</p>

</div>
</div><p>
<a class="anchor" name="152b2623285f14f6013b130fbfdf2ee1"></a><!-- doxytag: member="EDMA3_RM_GblConfigParams::numEvtQueue" ref="152b2623285f14f6013b130fbfdf2ee1" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int <a class="el" href="structEDMA3__RM__GblConfigParams.html#152b2623285f14f6013b130fbfdf2ee1">EDMA3_RM_GblConfigParams::numEvtQueue</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Number of Event Queues in the underlying EDMA3 Controller 
</div>
</div><p>
<a class="anchor" name="9f66e1878cc69101518f94c5f95ec393"></a><!-- doxytag: member="EDMA3_RM_GblConfigParams::numPaRAMSets" ref="9f66e1878cc69101518f94c5f95ec393" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int <a class="el" href="structEDMA3__RM__GblConfigParams.html#9f66e1878cc69101518f94c5f95ec393">EDMA3_RM_GblConfigParams::numPaRAMSets</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Number of PaRAM Sets supported by the underlying EDMA3 Controller 
<p>Referenced by <a class="el" href="edma3resmgr_8c_source.html#l03707">EDMA3_RM_allocContiguousResource()</a>, <a class="el" href="edma3resmgr_8c_source.html#l01111">EDMA3_RM_allocResource()</a>, <a class="el" href="edma3resmgr_8c_source.html#l00957">EDMA3_RM_close()</a>, <a class="el" href="edma3resmgr_8c_source.html#l00358">EDMA3_RM_create()</a>, <a class="el" href="edma3resmgr_8c_source.html#l04269">EDMA3_RM_freeContiguousResource()</a>, <a class="el" href="edma3resmgr_8c_source.html#l03072">EDMA3_RM_mapEdmaChannel()</a>, <a class="el" href="edma3resmgr_8c_source.html#l03229">EDMA3_RM_mapQdmaChannel()</a>, and <a class="el" href="edma3resmgr_8c_source.html#l00633">EDMA3_RM_open()</a>.</p>

</div>
</div><p>
<a class="anchor" name="49bb3d33efc585d75c8c18cf26dbf169"></a><!-- doxytag: member="EDMA3_RM_GblConfigParams::numQdmaChannels" ref="49bb3d33efc585d75c8c18cf26dbf169" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int <a class="el" href="structEDMA3__RM__GblConfigParams.html#49bb3d33efc585d75c8c18cf26dbf169">EDMA3_RM_GblConfigParams::numQdmaChannels</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Number of QDMA Channels supported by the underlying EDMA3 Controller 
<p>Referenced by <a class="el" href="edma3resmgr_8c_source.html#l03707">EDMA3_RM_allocContiguousResource()</a>, <a class="el" href="edma3resmgr_8c_source.html#l01111">EDMA3_RM_allocResource()</a>, <a class="el" href="edma3resmgr_8c_source.html#l00358">EDMA3_RM_create()</a>, <a class="el" href="edma3resmgr_8c_source.html#l04269">EDMA3_RM_freeContiguousResource()</a>, <a class="el" href="edma3resmgr_8c_source.html#l03229">EDMA3_RM_mapQdmaChannel()</a>, <a class="el" href="edma3resmgr_8c_source.html#l03381">EDMA3_RM_registerTccCb()</a>, and <a class="el" href="edma3resmgr_8c_source.html#l03541">EDMA3_RM_unregisterTccCb()</a>.</p>

</div>
</div><p>
<a class="anchor" name="f96ad7a22abe4152c2dbec6ddd793ffb"></a><!-- doxytag: member="EDMA3_RM_GblConfigParams::numRegions" ref="f96ad7a22abe4152c2dbec6ddd793ffb" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int <a class="el" href="structEDMA3__RM__GblConfigParams.html#f96ad7a22abe4152c2dbec6ddd793ffb">EDMA3_RM_GblConfigParams::numRegions</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Number of Regions in the underlying EDMA3 Controller 
<p>Referenced by <a class="el" href="edma3resmgr_8c_source.html#l00633">EDMA3_RM_open()</a>.</p>

</div>
</div><p>
<a class="anchor" name="de09c3f169c87739ab5b5d00101a59ed"></a><!-- doxytag: member="EDMA3_RM_GblConfigParams::numTccs" ref="de09c3f169c87739ab5b5d00101a59ed" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int <a class="el" href="structEDMA3__RM__GblConfigParams.html#de09c3f169c87739ab5b5d00101a59ed">EDMA3_RM_GblConfigParams::numTccs</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Number of Interrupt Channels supported by the underlying EDMA3 Controller 
<p>Referenced by <a class="el" href="edma3resmgr_8c_source.html#l03707">EDMA3_RM_allocContiguousResource()</a>, <a class="el" href="edma3resmgr_8c_source.html#l01111">EDMA3_RM_allocResource()</a>, <a class="el" href="edma3resmgr_8c_source.html#l04708">EDMA3_RM_checkAndClearTcc()</a>, <a class="el" href="edma3resmgr_8c_source.html#l00957">EDMA3_RM_close()</a>, <a class="el" href="edma3resmgr_8c_source.html#l04269">EDMA3_RM_freeContiguousResource()</a>, <a class="el" href="edma3resmgr_8c_source.html#l00633">EDMA3_RM_open()</a>, <a class="el" href="edma3resmgr_8c_source.html#l03381">EDMA3_RM_registerTccCb()</a>, and <a class="el" href="edma3resmgr_8c_source.html#l04572">EDMA3_RM_waitAndClearTcc()</a>.</p>

</div>
</div><p>
<a class="anchor" name="2469da2ae6f4c3895c1edf6333590b1e"></a><!-- doxytag: member="EDMA3_RM_GblConfigParams::numTcs" ref="2469da2ae6f4c3895c1edf6333590b1e" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int <a class="el" href="structEDMA3__RM__GblConfigParams.html#2469da2ae6f4c3895c1edf6333590b1e">EDMA3_RM_GblConfigParams::numTcs</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Number of Transfer Controllers (TCs) in the underlying EDMA3 Controller 
<p>Referenced by <a class="el" href="edma3resmgr_8c_source.html#l05339">EDMA3_RM_getBaseAddress()</a>.</p>

</div>
</div><p>
<a class="anchor" name="dd171129e6252b02ba54d5e79cb7ecea"></a><!-- doxytag: member="EDMA3_RM_GblConfigParams::tcDefaultBurstSize" ref="dd171129e6252b02ba54d5e79cb7ecea" args="[EDMA3_MAX_TC]" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int <a class="el" href="structEDMA3__RM__GblConfigParams.html#dd171129e6252b02ba54d5e79cb7ecea">EDMA3_RM_GblConfigParams::tcDefaultBurstSize</a>[EDMA3_MAX_TC]          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Default Burst Size (DBS) of TCs. 
<p>
An optimally-sized command is defined by the transfer controller default burst size (DBS). Different TCs can have different DBS values. It is defined in Bytes. 
</div>
</div><p>
<a class="anchor" name="72c01f8e87453fc8495371cd44b2dcc4"></a><!-- doxytag: member="EDMA3_RM_GblConfigParams::tcError" ref="72c01f8e87453fc8495371cd44b2dcc4" args="[EDMA3_MAX_TC]" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int <a class="el" href="structEDMA3__RM__GblConfigParams.html#72c01f8e87453fc8495371cd44b2dcc4">EDMA3_RM_GblConfigParams::tcError</a>[EDMA3_MAX_TC]          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
EDMA3 TCs error interrupt line (could be different for ARM and DSP) 
</div>
</div><p>
<a class="anchor" name="167e1ab12a947d4446ba56f8129ed91d"></a><!-- doxytag: member="EDMA3_RM_GblConfigParams::tcRegs" ref="167e1ab12a947d4446ba56f8129ed91d" args="[EDMA3_MAX_TC]" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="structEDMA3__RM__GblConfigParams.html#167e1ab12a947d4446ba56f8129ed91d">EDMA3_RM_GblConfigParams::tcRegs</a>[EDMA3_MAX_TC]          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Base address of EDMA3 TCs memory mapped registers. 
<p>Referenced by <a class="el" href="edma3resmgr_8c_source.html#l05339">EDMA3_RM_getBaseAddress()</a>.</p>

</div>
</div><p>
<a class="anchor" name="f902e3c9d3d6d54fdc472bf79297c947"></a><!-- doxytag: member="EDMA3_RM_GblConfigParams::xferCompleteInt" ref="f902e3c9d3d6d54fdc472bf79297c947" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int <a class="el" href="structEDMA3__RM__GblConfigParams.html#f902e3c9d3d6d54fdc472bf79297c947">EDMA3_RM_GblConfigParams::xferCompleteInt</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
EDMA3 transfer completion interrupt line (could be different for ARM and DSP) 
</div>
</div><p>
<hr>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="edma3__rm_8h_source.html">edma3_rm.h</a></ul>
</div>
<hr size="1"><address style="text-align: right;"><small>Generated on Tue Jul 7 19:26:49 2009 for EDMA3 Resource Manager by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.9 </small></address>
</body>
</html>
